The default bug view has changed. See this FAQ.

Incorrect revision in build start email

RESOLVED FIXED

Status

Release Engineering
Release Automation
RESOLVED FIXED
3 years ago
3 years ago

People

(Reporter: nthomas, Unassigned)

Tracking

Firefox Tracking Flags

(Not tracked)

Details

Attachments

(1 attachment, 1 obsolete attachment)

(Reporter)

Description

3 years ago
Something went wrong with the notification for Firefox32.0b1-build2, the email said:

A new build has been submitted through ship-it:
mozilla commit: https://hg.mozilla.org/releases/mozilla-beta/rev/76dd853f227b
----

But 76dd853f227b was build1, should have been 6a87b4799b21.

From the release runner log:

2014-07-22 19:18:34,387 - INFO - Got a new release request: {'status': 'Pending', 'product': 'firefox', 'submittedAt': '2014-07-23T02:14:27+00:00', 'submitter': 'nthomas@mozilla.com', 'complete': False, 'promptWaitTime': None, 'dashboardCheck': False, 'partials': '31.0b9build1,31.0b8build1', 'buildNumber': 2, 'mozillaRelbranch': None, 'l10nChangesets': 'ach...zu\tf3aac54b9951', 'version': '32.0b1', 'branch': 'releases/mozilla-beta', 'ready': True, 'mozillaRevision': '6a87b4799b21', 'name': 'Firefox-32.0b1-build2'}

and the buildbot-configs were bumped correctly too
  http://hg.mozilla.org/build/buildbot-configs/rev/9d584dffbbc8
so just something wrong with sendMailRD() or calling it.
Created attachment 8461525 [details] [diff] [review]
send-email-after-update-of-conf-file.diff

I guess the email is sent before the config file get updated.
The attached patch should fix that.
Attachment #8461525 - Flags: review?(rail)
Comment on attachment 8461525 [details] [diff] [review]
send-email-after-update-of-conf-file.diff

Review of attachment 8461525 [details] [diff] [review]:
-----------------------------------------------------------------

Thanks for the patch!

::: buildfarm/release/release-runner.py
@@ +375,5 @@
> +        for release in rr.new_releases:
> +            cfgFile = configs_workdir + "/mozilla/" + getReleaseConfigName(
> +                release['product'], path.basename(release['branch']),
> +                release['version'], staging)
> +            sendMailRD(smtp_server, notify_from, cfgFile, release)

If you move the method down here, it kind of defeats the whole idea of sending this notification early in the process. Also, if apply_and_push fails, you won't get these email. I'd rather leave the place where it's called, but instead of using the revision from configs I'd rather use the revision coming from ship-it. Maybe it changes the whole idea of iterating over sourceRepos, but I believe it's closer to what you really want. If you really want to call the function after apply_and_push and be left in darkness of something goes wrong there :) I'm OK with this change.


Example dumps of the "release" object in that scope:

Firefox:

2014-07-22 19:18:34,387 - INFO - Got a new release request: {'status': 'Pending', 'product': 'firefox', 'submittedAt': '2014-07-23T02:14:27+00:00', 'submitter': 'nthomas@mozilla.com', 'complete': False, 'promptWa
itTime': None, 'dashboardCheck': False, 'partials': '31.0b9build1,31.0b8build1', 'buildNumber': 2, 'mozillaRelbranch': None, 'l10nChangesets': 'ach\tc82e296b5f01\r\naf\t7195e324d286\r\nan\t4e76bfadf8ea\r\nar\t4a5
e329f391c\r\nas\tc8b83699d74a\r\nast\t4c58edaa081d\r\nbe\tb4c9f7da6ac6\r\nbg\t53c265a34db2\r\nbn-BD\tab9122b22e7b\r\nbn-IN\taf9c10e38a6c\r\nbr\tb7faed5eb5af\r\nbs\t8fc6fcbbced3\r\nca\t30ed224d3321\r\ncs\t434f71ab
580d\r\ncsb\t1d7c7a2e3927\r\ncy\t5b4419b5d8cc\r\nda\t8170d371be7b\r\nde\t15ce95bbc988\r\ndsb\t0ebf2dc5d912\r\nel\t22b959c9a739\r\nen-GB\ta63de949e0d7\r\nen-ZA\t3946c7c61d44\r\neo\tf12d79467b00\r\nes-AR\t3a78bfbce
239\r\nes-CL\t3389e7e0192f\r\nes-ES\td811034806a3\r\nes-MX\t337c8907db85\r\net\tbf17ccc3f279\r\neu\t1a522c0b8b33\r\nfa\t189c4346605f\r\nff\t3a7e8b393a23\r\nfi\t54e2a01a7b22\r\nfr\t40736a1d135b\r\nfy-NL\t79b83fe27
b53\r\nga-IE\t809acd38d181\r\ngd\t1d183d714456\r\ngl\t3676dfac7743\r\ngu-IN\tc3c484b14d6e\r\nhe\tfb6de4953a84\r\nhi-IN\t2cced88d2a9e\r\nhr\td80d3115aed0\r\nhsb\ta300b974e611\r\nhu\ta1b46acd4ee3\r\nhy-AM\t07a71b18
15e7\r\nid\taa70f9f1c6fe\r\nis\tb6040710b8d2\r\nit\tf1c4941ce4fe\r\nja\t66d4d9534e2e\r\nja-JP-mac\t213feba34970\r\nkk\tf246bafb34e4\r\nkm\tf3e13363d48c\r\nkn\te12cd39c590c\r\nko\t4cadbc5439fb\r\nku\ta1a811bf17f7\
r\nlij\td6d009b4b3e3\r\nlt\tdef7c3341f63\r\nlv\t3efcbe96f5be\r\nmai\t2238b9975f69\r\nmk\tffdf2a789185\r\nml\t8ada92688746\r\nmr\t224401f646ed\r\nms\t7ae9bcd9c298\r\nnb-NO\t04872aa15b78\r\nnl\t2fdf34eab56e\r\nnn-N
O\ta69a9a650ebf\r\nor\ta7142f872ba4\r\npa-IN\t6758aad72236\r\npl\tcce4d373d9cf\r\npt-BR\t2eb6f7c52561\r\npt-PT\t556cc7aa7984\r\nrm\te70b835e3270\r\nro\tcd2cad15a260\r\nru\t6e434f9f03cf\r\nsi\t371c4bb15732\r\nsk\t
8e143c04f0da\r\nsl\t3c7c10222daf\r\nson\t33685c4602c1\r\nsq\t656d07b8ce4b\r\nsr\t30c918adabba\r\nsv-SE\te2699bb71688\r\nsw\t616e58f2db99\r\nta\t9abd18a1b85b\r\nte\t4734e5e77d52\r\nth\t03c6f45c9979\r\ntr\t15e4012a
e9a7\r\nuk\t15316c48fbaf\r\nvi\te5e5cef6c0ee\r\nxh\t7d88d1363dab\r\nzh-CN\t0b9964edf617\r\nzh-TW\tc5333e78fa1d\r\nzu\tf3aac54b9951', 'version': '32.0b1', 'branch': 'releases/mozilla-beta', 'ready': True, 'mozilla
Revision': '6a87b4799b21', 'name': 'Firefox-32.0b1-build2'}

Thunderbird:

2014-07-17 14:18:27,890 - INFO - Got a new release request: {'status': 'Pending', 'product': 'thunderbird', 'submittedAt': '2014-07-17T21:17:50+00:00', 'submitter': 'mbanner@mozilla.com', 'complete': False, 'mozillaRelbranch': 'GECKO310_20140717_RELBRANCH', 'promptWaitTime': None, 'dashboardCheck': False, 'commRevision': '90e8c17ab16e', 'partials': '24.6.0build3', 'buildNumber': 1, 'commRelbranch': None, 'l10nChangesets': 'ar 56abb2748a4a\r\nast a6e53c602b31\r\nbe b4c9f7da6ac6\r\nbg 48d242443ec5\r\nbn-BD c4ae76a06caa\r\nbr 425b02d77afe\r\nca f2df54a74d89\r\ncs 497637ec2eaf\r\nda ed146c91b2ad\r\nde 4a4737f002f1\r\nel 213eb620afd4\r\nen-GB 87bc5894cf37\r\nes-AR 3a78bfbce239\r\nes-ES 64787f2f6b84\r\net c9b3c18c29a5\r\neu dd7ad8e1782b\r\nfi 7a9c28770fda\r\nfr d7311b40ef22\r\nfy-NL c5b6cfd41ddf\r\nga-IE 809acd38d181\r\ngd 473b6f54e2f4\r\ngl 020204eec53e\r\nhe ca4d4660d2f9\r\nhr d80d3115aed0\r\nhu f468e8ca41ce\r\nhy-AM 179c22bde6e2\r\nid a796af1ad16e\r\nis e79f02c98d88\r\nit e099ad0d3eaf\r\nja a1966c6d1862\r\nja-JP-mac 6f2bbb57db14\r\nko 5715dcdd338f\r\nlt def7c3341f63\r\nnb-NO 1884f69f473f\r\nnl 9876104288b9\r\nnn-NO 8d50e5d998f0\r\npa-IN 1579a219f210\r\npl 569e8aa3c5b3\r\npt-BR d0f65f85f2f1\r\npt-PT b1f906ecd8b9\r\nrm 2ca6a4fb6fcf\r\nro 037d5970ad40\r\nru 50f93663bc09\r\nsi 8922c6107b20\r\nsk fbe261b00c22\r\nsl d7a1ccba2ab0\r\nsq 276b9fcd5fee\r\nsr 8a6205ac3dd5\r\nsv-SE 9bfa72aedab9\r\nta-LK 70286dc65519\r\ntr 4770e9d257f3\r\nuk bcf6f048ff62\r\nvi 84a40c2f0cd6\r\nzh-CN ea34c744300e\r\nzh-TW 5710f029fd6a', 'version': '31.0', 'branch': 'releases/comm-esr31', 'ready': True, 'mozillaRevision': 'GECKO310_20140717_RELBRANCH', 'name': 'Thunderbird-31.0-build1'}


Fennec:

2014-07-17 10:29:21,009 - INFO - Got a new release request: {'status': 'Pending', 'product': 'fennec', 'submittedAt': '2014-07-17T17:18:55+00:00', 'name': 'Fennec-31.0-build1', 'dashboardCheck': False, 'ready': T
rue, 'buildNumber': 1, 'mozillaRelbranch': None, 'l10nChangesets': '{\r\n  "ar": {\r\n    "revision": "9c4b301989ca",\r\n    "platforms": ["android"]\r\n  },\r\n  "as": {\r\n    "revision": "734774bdb032",\r\n   
 "platforms": ["android", "android-multilocale"]\r\n  },\r\n  "be": {\r\n    "revision": "b4c9f7da6ac6",\r\n    "platforms": ["android", "android-multilocale"]\r\n  },\r\n  "bn-IN": {\r\n    "revision": "8cda4a9e
805a",\r\n    "platforms": ["android", "android-multilocale"]\r\n  },\r\n  "ca": {\r\n    "revision": "f2df54a74d89",\r\n    "platforms": ["android", "android-multilocale"]\r\n  },\r\n  "cs": {\r\n    "revision":
 "788b51b303fe",\r\n    "platforms": ["android", "android-multilocale"]\r\n  },\r\n  "cy": {\r\n    "revision": "53f662270dc2",\r\n    "platforms": ["android"]\r\n  },\r\n  "da": {\r\n    "revision": "ed146c91b2a
d",\r\n    "platforms": ["android", "android-multilocale"]\r\n  },\r\n  "de": {\r\n    "revision": "4a4737f002f1",\r\n    "platforms": ["android", "android-multilocale"]\r\n  },\r\n  "en-GB": {\r\n    "revision":
 "87bc5894cf37",\r\n    "platforms": ["android", "android-multilocale"]\r\n  },\r\n  "es-AR": {\r\n    "revision": "3a78bfbce239",\r\n    "platforms": ["android", "android-multilocale"]\r\n  },\r\n  "es-ES": {\r\
n    "revision": "64787f2f6b84",\r\n    "platforms": ["android", "android-multilocale"]\r\n  },\r\n  "es-MX": {\r\n    "revision": "94cf8101d558",\r\n    "platforms": ["android", "android-multilocale"]\r\n  },\r\
n  "et": {\r\n    "revision": "175c4dcc245b",\r\n    "platforms": ["android", "android-multilocale"]\r\n  },\r\n  "fi": {\r\n    "revision": "3c4fe90f269b",\r\n    "platforms": ["android", "android-multilocale"]\
r\n  },\r\n  "fr": {\r\n    "revision": "a0754aca91d1",\r\n    "platforms": ["android", "android-multilocale"]\r\n  },\r\n  "fy-NL": {\r\n    "revision": "0bb46089e086",\r\n    "platforms": ["android"]\r\n  },\r\
n  "ga-IE": {\r\n    "revision": "809acd38d181",\r\n    "platforms": ["android", "android-multilocale"]\r\n  },\r\n  "gl": {\r\n    "revision": "6a40cee822a6",\r\n    "platforms": ["android"]\r\n  },\r\n  "gu-IN"
: {\r\n    "revision": "5e24779c41ef",\r\n    "platforms": ["android", "android-multilocale"]\r\n  },\r\n  "hi-IN": {\r\n    "revision": "804a00c3f6fd",\r\n    "platforms": ["android", "android-multilocale"]\r\n 
 },\r\n  "hu": {\r\n    "revision": "f468e8ca41ce",\r\n    "platforms": ["android", "android-multilocale"]\r\n  },\r\n  "id": {\r\n    "revision": "82f937547ad0",\r\n    "platforms": ["android", "android-multiloc
ale"]\r\n  },\r\n  "it": {\r\n    "revision": "7da3326e374e",\r\n    "platforms": ["android", "android-multilocale"]\r\n  },\r\n  "ja": {\r\n    "revision": "2d0475fc8fcf",\r\n    "platforms": ["android", "androi
d-multilocale"]\r\n  },\r\n  "kn": {\r\n    "revision": "df78cf8dae85",\r\n    "platforms": ["android", "android-multilocale"]\r\n  },\r\n  "ko": {\r\n    "revision": "5715dcdd338f",\r\n    "platforms": ["android
", "android-multilocale"]\r\n  },\r\n  "lt": {\r\n    "revision": "def7c3341f63",\r\n    "platforms": ["android", "android-multilocale"]\r\n  },\r\n  "lv": {\r\n    "revision": "bf089243bb13",\r\n    "platforms":
 ["android", "android-multilocale"]\r\n  },\r\n  "mai": {\r\n    "revision": "b2abd3161b6e",\r\n    "platforms": ["android"]\r\n  },\r\n  "ml": {\r\n    "revision": "e00e2c3298ea",\r\n    "platforms": ["android",
 "android-multilocale"]\r\n  },\r\n  "mr": {\r\n    "revision": "a59a986d757b",\r\n    "platforms": ["android", "android-multilocale"]\r\n  },\r\n  "ms": {\r\n    "revision": "86a29b699bf7",\r\n    "platforms": [
"android", "android-multilocale"]\r\n  },\r\n  "nb-NO": {\r\n    "revision": "b1d7ecff7e73",\r\n    "platforms": ["android", "android-multilocale"]\r\n  },\r\n  "nl": {\r\n    "revision": "9876104288b9",\r\n    "
platforms": ["android", "android-multilocale"]\r\n  },\r\n  "or": {\r\n    "revision": "511fbcc33a3a",\r\n    "platforms": ["android", "android-multilocale"]\r\n  },\r\n  "pa-IN": {\r\n    "revision": "9bf33c80fb
2a",\r\n    "platforms": ["android", "android-multilocale"]\r\n  },\r\n  "pl": {\r\n    "revision": "569e8aa3c5b3",\r\n    "platforms": ["android", "android-multilocale"]\r\n  },\r\n  "pt-BR": {\r\n    "revision"
: "34f0368ec6ef",\r\n    "platforms": ["android", "android-multilocale"]\r\n  },\r\n  "pt-PT": {\r\n    "revision": "04da0167acae",\r\n    "platforms": ["android", "android-multilocale"]\r\n  },\r\n  "ro": {\r\n 
   "revision": "cdbf50ab417c",\r\n    "platforms": ["android", "android-multilocale"]\r\n  },\r\n  "ru": {\r\n    "revision": "1d434e8e1bbb",\r\n    "platforms": ["android", "android-multilocale"]\r\n  },\r\n  "s
k": {\r\n    "revision": "fbe261b00c22",\r\n    "platforms": ["android", "android-multilocale"]\r\n  },\r\n  "sl": {\r\n    "revision": "3c7c10222daf",\r\n    "platforms": ["android", "android-multilocale"]\r\n  
},\r\n  "sv-SE": {\r\n    "revision": "b0b7b9d7c6a6",\r\n    "platforms": ["android", "android-multilocale"]\r\n  },\r\n  "ta": {\r\n    "revision": "cddf33279fd3",\r\n    "platforms": ["android", "android-multil
ocale"]\r\n  },\r\n  "te": {\r\n    "revision": "0aed11b928e7",\r\n    "platforms": ["android", "android-multilocale"]\r\n  },\r\n  "th": {\r\n    "revision": "b5a7ec14fabf",\r\n    "platforms": ["android", "andr
oid-multilocale"]\r\n  },\r\n  "tr": {\r\n    "revision": "0bfda1bfcf56",\r\n    "platforms": ["android", "android-multilocale"]\r\n  },\r\n  "uk": {\r\n    "revision": "2aa3900f5f2d",\r\n    "platforms": ["andro
id", "android-multilocale"]\r\n  },\r\n  "zh-CN": {\r\n    "revision": "d676d62579c5",\r\n    "platforms": ["android", "android-multilocale"]\r\n  },\r\n  "zh-TW": {\r\n    "revision": "5710f029fd6a",\r\n    "pla
tforms": ["android", "android-multilocale"]\r\n  }\r\n}\r\n', 'version': '31.0', 'branch': 'releases/mozilla-release', 'submitter': 'sledru@mozilla.com', 'mozillaRevision': '650879b8b29d', 'complete': False}
Attachment #8461525 - Flags: review?(rail) → review-
Created attachment 8461556 [details] [diff] [review]
bug-1042470.diff

Yes sure. Is that solution ok with you?

"productName" was not used anywhere. Let me know if you want me to remove it.
Attachment #8461556 - Flags: review?(rail)
Comment on attachment 8461556 [details] [diff] [review]
bug-1042470.diff

Review of attachment 8461556 [details] [diff] [review]:
-----------------------------------------------------------------

::: buildfarm/release/release-runner.py
@@ +219,5 @@
> +        if name == "comm":
> +            # Thunderbird
> +            revision=r["commRevision"]
> +        else:
> +            revision=r["mozillaRevision"]

Can you add spaces around "="? </pep8 nazi mode off> :)

To avoid checks against "name" (and possible IndexErrors), you could also use

 revision = r.get("commRevision") or r.get("mozillaRevision")
Attachment #8461556 - Flags: review?(rail) → review+
Comment on attachment 8461556 [details] [diff] [review]
bug-1042470.diff

Oh, nice python pro tip. Thanks :)
https://hg.mozilla.org/build/tools/rev/1076430daae4
Attachment #8461556 - Flags: checked-in+
Attachment #8461525 - Attachment is obsolete: true
This is resolved now
Status: NEW → RESOLVED
Last Resolved: 3 years ago
Resolution: --- → FIXED
You need to log in before you can comment on or make changes to this bug.